<?php

class ExtendedPoll_Extend_ControllerPublic_Forum extends XFCP_ExtendedPoll_Extend_ControllerPublic_Forum
{
	public function actionIndex()
	{
		$this->_getThreadModel()->ExtendedPoll_startFetchingPoll();

		$result = parent::actionIndex();

		$this->_getThreadModel()->ExtendedPoll_stopFetchingPoll();

		return $result;
	}

	public function actionForum()
	{
		$this->_getThreadModel()->ExtendedPoll_startFetchingPoll();

		$result = parent::actionForum();

		$this->_getThreadModel()->ExtendedPoll_stopFetchingPoll();

		return $result;
	}

	public function actionCreateThread()
	{
		$result = parent::actionCreateThread();

		if ($result instanceof XenForo_ControllerResponse_View)
		{
			$result->params['ExtendedPoll_customFields'] = $this->getModelFromCache('XenForo_Model_Poll')->ExtendedPoll_getAvailableCustomFields();
		}

		return $result;
	}

	public function actionAddThread()
	{
		ExtendedPoll_Listener::$controller = $this;

		return parent::actionAddThread();
	}

	public function actionWithPolLDataWriter(XenForo_DataWriter_Poll $dw)
	{
		$options = $this->_input->filterSingle('extendedpoll_options', XenForo_Input::ARRAY_SIMPLE);
		$dw->set('extendedpoll_options', $options);
	}

}
