<?php

class ExtendedPoll_Extend_ViewPublic_Forum_View extends XFCP_ExtendedPoll_Extend_ViewPublic_Forum_View
{
	public function renderHtml()
	{
		$classIsPoll = 'ExtendedPoll_isPoll';
		$classIsVoted = 'ExtendedPoll_hasVoted';

		if (!empty($this->_params['threads']))
		{
			// safe guard
			foreach ($this->_params['threads'] as &$thread)
			{
				if ($thread['extendedpoll_poll_id'] > 0)
				{
					// this thread has a poll
					$thread['discussion_state'] .= ' ' . $classIsPoll;

					if ($thread['extendedpoll_poll_hasVoted'])
					{
						$thread['discussion_state'] .= ' ' . $classIsVoted;
					}
				}
			}
		}

		return parent::renderHtml();
	}

}
