<?php

class ExtendedPoll_Extend_ViewPublic_Thread_ViewPosts extends XFCP_ExtendedPoll_Extend_ViewPublic_Thread_ViewPosts
{
	public function renderHtml()
	{
		$this->ExtendPoll_preparePosts();

		return parent::renderHtml();
	}

	public function renderJson()
	{
		$this->ExtendPoll_preparePosts();

		return parent::renderJson();
	}

	protected function ExtendPoll_preparePosts()
	{
		if (!empty($this->_params['posts']) AND !empty($this->_params['poll']) AND !empty($this->_params['pollModel']))
		{
			// only works if this thread has a poll
			// and if poll model is set
			foreach ($this->_params['posts'] as &$post)
			{
				$this->_params['pollModel']->ExtendedPoll_preparePost($this->_params['poll'], $post);
			}
		}
	}

}
